import { DepositWithBlock, Fill, FillWithBlock, InvalidFill, RelayData, SlowFillLeaf, SortableEvent } from "../interfaces";
import { BigNumber } from "./BigNumberUtils";
import { SpokePoolClient } from "../clients";
export declare function isSlowFill(fill: Fill): boolean;
export declare function getSlowFillLeafLpFeePct(leaf: SlowFillLeaf): BigNumber;
export declare function unpackDepositEvent(rawEvent: SortableEvent, originChainId: number): Omit<DepositWithBlock, "quoteBlockNumber" | "fromLiteChain" | "toLiteChain">;
export declare function unpackFillEvent(rawEvent: SortableEvent, destinationChainId: number): FillWithBlock;
export declare function getRelayDataHash(relayData: RelayData, destinationChainId: number): string;
export declare function getRelayHashFromEvent(e: RelayData & {
    destinationChainId: number;
}): string;
export declare function isUnsafeDepositId(depositId: BigNumber): boolean;
export declare function getMessageHash(message: string): string;
export declare function findInvalidFills(spokePoolClients: {
    [chainId: number]: SpokePoolClient;
}): Promise<InvalidFill[]>;
